From 40552dfe215ebdc75c54836d13df0a84b92cf105 Mon Sep 17 00:00:00 2001
From: David P <megver83@parabola.nu>
Date: Oct 13 2021 21:08:45 +0000
Subject: [PATCH 8/23] updpkg: libre/linux-libre-pck 5.14.11.pck2-1


Signed-off-by: David P <megver83@parabola.nu>

---

diff --git a/libre/linux-libre-pck/PKGBUILD b/libre/linux-libre-pck/PKGBUILD
index a57cfca..ed91294 100644
--- a/libre/linux-libre-pck/PKGBUILD
+++ b/libre/linux-libre-pck/PKGBUILD
@@ -13,7 +13,7 @@ _replacesoldkernels=()
 _replacesoldmodules=()
 
 pkgbase=linux-libre-pck
-pkgver=5.13.9.pck1
+pkgver=5.14.11.pck2
 pkgrel=1
 pkgdesc='Linux-libre PCK'
 url='https://wiki.parabola.nu/PCK'
@@ -21,10 +21,10 @@ arch=(i686 x86_64 armv7h)
 license=(GPL2)
 makedepends=(
   bc kmod libelf pahole cpio perl tar xz
-#  xmlto python-sphinx python-sphinx_rtd_theme graphviz imagemagick
+  xmlto python-sphinx python-sphinx_rtd_theme graphviz imagemagick
 )
 options=('!strip')
-_srcname=linux-5.13
+_srcname=linux-5.14
 source=(
   "https://linux-libre.fsfla.org/pub/linux-libre/releases/${_srcname##*-}-gnu/linux-libre-${_srcname##*-}-gnu.tar.xz"{,.sign}
   "https://linux-libre.fsfla.org/pub/linux-libre/releases/${pkgver%.*}-gnu/patch-${_srcname##*-}-gnu-${pkgver%.*}-gnu.xz"{,.sign}
@@ -36,14 +36,14 @@ validpgpkeys=(
   '474402C8C582DAFBE389C427BCB7CF877E7D47A7' # Alexandre Oliva
   '6DB9C4B4F0D8C0DC432CF6E4227CA7C556B2BA78' # David P.
 )
-sha512sums=('a24f2db9316297127447b3d7fd7a1e9e7b9a8bdb5e59e6e341568cbf877c4b65d2ccdb27ec1c23b07af6c365b2930b040bcef0d989202b503bc55b107c04d121'
+sha512sums=('18798d032184ce141216ad72fcbb5ddb340809fe8d953acb50700aa0b47d36fca104dcedc7521fb3aea913d8fbeb4bd3eab1cf2c955388e6996c4154eac67d0c'
             'SKIP'
-            '8f1b7cb25e22f241567f3b78c66a2203d6c3746e464be7f7ddfcc42198fb41f7a4a179820ca2aa751c53098652b14789c204d9057bdfe6b6927dec68c1d26eec'
+            '951cdb68af3bbf3b841376f82fd9c82dfd7a159cae8564e5d772f99f3170deafcabc00cb0ecfa6e7669c22087577f2eafa47d3b50bc8ea6ee5edbc65821986e1'
             'SKIP'
-            '07173b3bf2f0bd9b11f803d0946ce42f981c7f4ec57078efc349386d5dda8c0db37692ffeccb1d2dbb7fe6e243645baafd57c547c1dd0386e4becf257df8510e'
+            'a2ea7c7d8cb863d9e9d41f3cb3cab26f2f86940ee0dacd2fc56689304fe309d0f6b7ed8d4ddf5e4ec05445c3ad4a5fff03e33f9e82a32f4bad338af3168947aa'
             'SKIP'
-            '1e7c176717e3295ce96c7b4d5d8f9efe28a3fd51095368d4ca985661f0b8ae38d92312598b14a1b37ffb29d97a5fe09b9ee75db3f461e4af3b7b5ff8913030cb'
-            'd92eb8d42a3d87c6ced2ef54536141f55ebe5a101d71f7a90b853fe890954388a5460917d2f1c51c73208a8e727c3c1c203525b83554f67d8512e533ba25f832'
+            '443f93a4086bbfe096be06ad084185c0c9ec9ba7913969ffeb426f75052fa6a5fb28d3f61f39f0086720633bc33ffd6f4985d1db53395e0bd43309469cd0ae64'
+            'e5fd36b0ae7b91d0d9590ddcf1dbcd23c0fe772366a6088fb35c09cfd85486913edb65c45a42c1a590cc144c5d092b5925d824146837f42ba326f8b3fefeec7e'
             '6728253ca04a603ef35ceb06b284c509d8ffda6a8c6403fe687afe5d956425588ebbd62bfc5dd1d7fd9a03071a30c7cd86ac72a1fd67cbbf1ebdac85ee703caf'
             '53103bf55b957b657039510527df0df01279dec59cda115a4d6454e4135025d4546167fa30bdc99107f232561c1e096d8328609ab5a876cf7017176f92ad3e0b')
 
@@ -85,6 +85,7 @@ prepare() {
   echo "Setting config..."
   cp ../config.$CARCH .config
   make olddefconfig
+  diff -u ../config .config || :
 
   make -s kernelrelease > version
   echo "Prepared $pkgbase version $(<version)"
@@ -93,7 +94,7 @@ prepare() {
 build() {
   cd $_srcname
   make all
-#  make htmldocs
+  make htmldocs
 }
 
 _package() {
@@ -260,7 +261,7 @@ _package-docs() {
   ln -sr "$builddir/Documentation" "$pkgdir/usr/share/doc/$pkgbase"
 }
 
-pkgname=("$pkgbase" "$pkgbase-headers") # "$pkgbase-docs"
+pkgname=("$pkgbase" "$pkgbase-headers" "$pkgbase-docs")
 for _p in "${pkgname[@]}"; do
   eval "package_$_p() {
     $(declare -f "_package${_p#$pkgbase}")
